package com.mortals.xhx.module.check.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.check.model.CheckGoworkRecordEntity;
import com.mortals.xhx.module.check.dao.CheckGoworkRecordDao;
/**
* CheckGoworkRecordService
*
* 办件绩效核查信息 service接口
*
* @author zxfei
* @date 2023-05-18
*/
public interface CheckGoworkRecordService extends ICRUDService<CheckGoworkRecordEntity,Long>{

    CheckGoworkRecordDao getDao();

    /**
     * 核查人工审核
     * @param entity
     * @param context
     * @throws AppException
     */
    void examine(CheckGoworkRecordEntity entity, Context context) throws AppException;
}